﻿@using dbChange.Models.VanPhongSo;
@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "BoChungTu_ChiTiet";
    Layout = "~/Views/Shared/_Layout_VanPhongSo.cshtml";
    var DonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
    var LoaiVanBan = ViewData["LoaiVanBan"] as List<LoaiVanBan>;
}

<div class="iq-card">
    <div class="iq-card-header d-flex justify-content-between">
        <div class="iq-header-title">
            <h4 class="text-primary card-title">
                <i class="ri-search-line"></i>
                Tìm kiếm chứng từ
            </h4>
        </div>
    </div>
    <div class="iq-card-body">
        <form id="formSearch">


            <div class="form-row row justify-content-md-center">
                <div class="col-md-3 col-sm-3 col-12">
                    <div class="form-group">
                        <label for="Id">Từ Ngày</label>
                        <input type="date" class="form-control form-control-sm" value="@DateTime.Now.AddDays(-30).ToString("yyyy-MM-dd")" name="TuNgay" id="TuNgay" />
                    </div>
                </div>
                <div class="col-md-3 col-sm-3 col-12">
                    <div class="form-group">
                        <label for="Id">Đến Ngày</label>
                        <input type="date" class="form-control form-control-sm" value="@DateTime.Now.ToString("yyyy-MM-dd")" name="DenNgay" id="DenNgay">
                    </div>
                </div>
                <div class="col-md-1 col-sm-1 col-12"></div>
                <div class="col-md-5 col-sm-5 col-12">
                    <div class="form-group">
                        <p class="m-0"><label for="Id">Tiêu chí</label></p>
                        <div class="custom-control custom-radio custom-control-inline">
                            <input type="radio" id="phieu" name="option" class="custom-control-input" value="1" checked>
                            <label class="custom-control-label" for="phieu"> Nội dung Phiếu</label>
                        </div>
                        <div class="custom-control custom-radio custom-control-inline">
                            <input type="radio" id="chitiet_phieu" name="option" class="custom-control-input" value="2">
                            <label class="custom-control-label" for="chitiet_phieu"> Nội dung chi tiết Phiếu</label>
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-row row m-0">

                <div class="col-md-3 col-sm-3 col-12">
                    <div class="">
                        <label for="">Đơn vị</label>
                        <select class="form-control form-control-sm IdDonVi" name="IdDonVi[]" id="IdDonVi" multiple="multiple">
                            @{
                                <option value="0">Tất cả</option>
                                foreach (DM_BoPhanChiTiet row in DonVi)
                                {
                                    <option value="@row.Id">@row.TenDonVi</option>
                                }
                            }
                        </select>
                    </div>
                </div>
                    <div class="col-md-3 col-sm-3 col-12">
                        <div class="">
                            <label for="">Loại văn bản</label>
                            <select class="form-control form-control-sm IdLoaiVanBan" name="IdLoaiVanBan[]" id="IdLoaiVanBan" multiple="multiple">
                                @{
                                    <option value="0">Tất cả</option>
                                    foreach (LoaiVanBan row in LoaiVanBan)
                                    {
                                        <option value="@row.Id">@row.TenLoaiVanBan</option>
                                    }
                                }
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-row row justify-content-md-center pt-3">
                    <div class="col-md-12 col-sm-12 col-12">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="ri-search-eye-line"></i></span>
                            </div>
                            <input type="text" class="form-control" name="Search" id="Search" >
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="">
                                    <button class="btn btn-dark" type="submit">Tìm</button>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>

</form>
        <div class="result">
            <p class="count"></p>
            <div class="list-group">

            </div>
        </div>
    </div>
</div>



